    #include<bits/stdc++.h>
    #include<string.h>
    using namespace std;
    int main()
    {
        long long n,chetni=0,nechetni=0,min1=100000,min2=100000;
        cin>>n;
        long long nums[n];
        for(int i=0;i<n;i++)
        {
            cin>>nums[i];
            if(nums[i]%2==0 && nums[i]<min1)min1=nums[i];
            if(nums[i]%2==1 && nums[i]<min2)min2=nums[i];
        }

        sort(nums,nums+n);

        for(int i=1;i<n;i++)
        {
            if(nums[i-1]!=(nums[i]-1))
           {
                for(int j=nums[i-1]+1;j<nums[i];j++)
                {
                    if(j%2==0)chetni++;
                    if(j%2==1)nechetni++;
                }
            }
        }
        for(int i=1;i<min2;)
        {
            nechetni++;
            i+=2;
        }
        for(int i=2;i<min1;)
        {
            chetni++;
            i+=2;
        }

        cout<<nechetni-1<<" "<<chetni;




    }

